from pyloadl import *

query = ll_query(CLASSES)
if not PyCObjValid(query):
  print "ll_query(): returns a NULL\n"
  exit(-1)

b = ll_set_request(query, QUERY_ALL, "", ALL_DATA)
if b != 0:
  print "ll_set_request(): error %d\n" % b
  exit(-1)

classes, number, error = ll_get_objs(query, LL_CM, "")
if error != 0:
  print "ll_get_objs(): error %d\n" % error
  exit(-1)

pyclass = {}
while PyCObjValid(classes):

  class_mem = -1
  class_name = ll_get_data(classes, LL_ClassName)
  class_wcl_hlimit = ll_get_data(classes, LL_ClassWallClockLimitHard)
  class_res_req = ll_get_data(classes, LL_ClassGetFirstResourceRequirement)
  while PyCObjValid(class_res_req):
    name = ll_get_data(class_res_req, LL_ResourceRequirementName)
    if 'ConsumableMemory' in name:
      class_mem = ll_get_data(class_res_req, LL_ResourceRequirementValue)
      if class_mem > 0:
        pyclass[class_name] = class_mem
    class_res_req = ll_get_data(classes, LL_ClassGetNextResourceRequirement)

  classes = ll_next_obj(query)

ll_free_objs(query)
ll_deallocate(query)

